org.eclipse.oomph.p2.impl

## Class RequirementImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.p2.impl.RequirementImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, Requirement

      public class RequirementImpl
      extends ModelElementImpl
      implements Requirement

  An implementation of the model object 'Requirement'.

  The following features are implemented:

  - `ID`
  - `Name`
  - `Namespace`
  - `Version Range`
  - `Optional`
  - `Feature`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static boolean` | `FEATURE_EDEFAULT` The default value of the '`Feature`' attribute.
    `protected static String` | `ID_EDEFAULT` The default value of the '`ID`' attribute.
    `protected String` | `name` The cached value of the '`Name`' attribute.
    `protected static String` | `NAME_EDEFAULT` The default value of the '`Name`' attribute.
    `protected String` | `namespace` The cached value of the '`Namespace`' attribute.
    `protected static String` | `NAMESPACE_EDEFAULT` The default value of the '`Namespace`' attribute.
    `protected boolean` | `optional` The cached value of the '`Optional`' attribute.
    `protected static boolean` | `OPTIONAL_EDEFAULT` The default value of the '`Optional`' attribute.
    `protected static VersionRange` | `VERSION_RANGE_EDEFAULT` The default value of the '`Version Range`' attribute.
    `protected VersionRange` | `versionRange` The cached value of the '`Version Range`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RequirementImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `Object` | `eInvoke(int operationID, EList<?> arguments)`
    `boolean` | `eIsSet(int featureID)`
    `protected void` | `eMigrate()`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `String` | `getID()`
    `String` | `getName()`
    `String` | `getNamespace()`
    `VersionRange` | `getVersionRange()`
    `boolean` | `isFeature()`
    `boolean` | `isOptional()`
    `void` | `setID(String newID)`
    `void` | `setName(String newName)`
    `void` | `setNamespace(String newNamespace)`
    `void` | `setOptional(boolean newOptional)`
    `void` | `setVersionRange(VersionRange newVersionRange)`
    `void` | `setVersionRange(Version version, VersionSegment segment)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInverseRemove, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### ID_EDEFAULT

          protected static final String ID_EDEFAULT

      The default value of the '`ID`' attribute.
      See Also:
        `getID()`
      Generated
      Ordered

    - #### NAME_EDEFAULT

          protected static final String NAME_EDEFAULT

      The default value of the '`Name`' attribute.
      See Also:
        `getName()`
      Generated
      Ordered

    - #### name

          protected String name

      The cached value of the '`Name`' attribute.
      See Also:
        `getName()`
      Generated
      Ordered

    - #### NAMESPACE_EDEFAULT

          protected static final String NAMESPACE_EDEFAULT

      The default value of the '`Namespace`' attribute.
      See Also:
        `getNamespace()`, Constant Field Values
      Generated
      Ordered

    - #### namespace

          protected String namespace

      The cached value of the '`Namespace`' attribute.
      See Also:
        `getNamespace()`
      Generated
      Ordered

    - #### VERSION_RANGE_EDEFAULT

          protected static final VersionRange VERSION_RANGE_EDEFAULT

      The default value of the '`Version Range`' attribute.
      See Also:
        `getVersionRange()`
      Generated
      Ordered

    - #### versionRange

          protected VersionRange versionRange

      The cached value of the '`Version Range`' attribute.
      See Also:
        `getVersionRange()`
      Generated
      Ordered

    - #### OPTIONAL_EDEFAULT

          protected static final boolean OPTIONAL_EDEFAULT

      The default value of the '`Optional`' attribute.
      See Also:
        `isOptional()`, Constant Field Values
      Generated
      Ordered

    - #### optional

          protected boolean optional

      The cached value of the '`Optional`' attribute.
      See Also:
        `isOptional()`
      Generated
      Ordered

    - #### FEATURE_EDEFAULT

          protected static final boolean FEATURE_EDEFAULT

      The default value of the '`Feature`' attribute.
      See Also:
        `isFeature()`, Constant Field Values
      Generated
      Ordered

  - ### Constructor Detail

    - #### RequirementImpl

          protected RequirementImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ModelElementImpl`
      Generated

    - #### getID

          public String getID()

      Generated
        NOT

    - #### setID

          public void setID(String newID)

      Generated
        NOT

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Requirement`
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `Requirement.setName(String)`, `P2Package.getRequirement_Name()`
      Generated

    - #### setName

          public void setName(String newName)

      Specified by:
        `setName` in interface `Requirement`
      Parameters:
        `newName` - the new value of the 'Name' attribute.
      See Also:
        `Requirement.getName()`
      Generated

    - #### getNamespace

          public String getNamespace()

      Specified by:
        `getNamespace` in interface `Requirement`
      Returns:
        the value of the 'Namespace' attribute.
      See Also:
        `Requirement.setNamespace(String)`, `P2Package.getRequirement_Namespace()`
      Generated

    - #### setNamespace

          public void setNamespace(String newNamespace)

      Specified by:
        `setNamespace` in interface `Requirement`
      Parameters:
        `newNamespace` - the new value of the 'Namespace' attribute.
      See Also:
        `Requirement.getNamespace()`
      Generated

    - #### getVersionRange

          public VersionRange getVersionRange()

      Specified by:
        `getVersionRange` in interface `Requirement`
      Returns:
        the value of the 'Version Range' attribute.
      See Also:
        `Requirement.setVersionRange(VersionRange)`, `P2Package.getRequirement_VersionRange()`
      Generated

    - #### setVersionRange

          public void setVersionRange(VersionRange newVersionRange)

      Specified by:
        `setVersionRange` in interface `Requirement`
      Parameters:
        `newVersionRange` - the new value of the 'Version Range' attribute.
      See Also:
        `Requirement.getVersionRange()`
      Generated

    - #### setVersionRange

          public void setVersionRange(Version version,
                             VersionSegment segment)

      Specified by:
        `setVersionRange` in interface `Requirement`
      Generated
        NOT

    - #### isOptional

          public boolean isOptional()

      Specified by:
        `isOptional` in interface `Requirement`
      Returns:
        the value of the 'Optional' attribute.
      See Also:
        `Requirement.setOptional(boolean)`, `P2Package.getRequirement_Optional()`
      Generated

    - #### setOptional

          public void setOptional(boolean newOptional)

      Specified by:
        `setOptional` in interface `Requirement`
      Parameters:
        `newOptional` - the new value of the 'Optional' attribute.
      See Also:
        `Requirement.isOptional()`
      Generated

    - #### isFeature

          public boolean isFeature()

      Specified by:
        `isFeature` in interface `Requirement`
      Returns:
        the value of the 'Feature' attribute.
      See Also:
        `P2Package.getRequirement_Feature()`
      Generated
        NOT

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `ModelElementImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `ModelElementImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `ModelElementImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `ModelElementImpl`
      Generated

    - #### eInvoke

          public Object eInvoke(int operationID,
                       EList<?> arguments)
                         throws InvocationTargetException

      Specified by:
        `eInvoke` in interface `InternalEObject`
      Overrides:
        `eInvoke` in class `ModelElementImpl`
      Throws:
        `InvocationTargetException`
      Generated

    - #### eMigrate

          protected void eMigrate()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BasicEObjectImpl`
      Generated
        NOT

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html